import { BaseNode } from "./base.js";
export declare const keywords: readonly ["break", "continue"];
export type KeywordValue = (typeof keywords)[number];
export type Keyword = BaseNode & {
    type: "keyword";
    value: KeywordValue;
};
export declare function createKeyword(value: KeywordValue): Keyword;
export declare function isKeyword(value: string): value is KeywordValue;
